import cx from 'classnames';
import { BASE_CLASS, TYPES } from '../config';
var CLASS_ACTIVE = BASE_CLASS + "--active";
var CLASS_FOCUS = BASE_CLASS + "--focus";
var CLASS_CLICK = BASE_CLASS + "--click";
var CLASS_DISABLED = BASE_CLASS + "--disabled";
var CLASS_FULL_WIDTH = BASE_CLASS + "--fullWidth";
export function switchClassNames(size, type, classType, isToggle, isFocus, isClick, isDisabled, fullWidth) {
  var _cx;

  var CLASS_TYPE = BASE_CLASS + "-" + classType;
  var CLASS_SIZE = BASE_CLASS + "--" + size;
  var className = cx(BASE_CLASS, CLASS_TYPE, CLASS_SIZE, (_cx = {}, _cx[CLASS_ACTIVE] = isToggle || type === TYPES.SELECT, _cx[CLASS_CLICK] = isClick, _cx[CLASS_FOCUS] = isFocus && !isClick, _cx[CLASS_DISABLED] = isDisabled, _cx[CLASS_FULL_WIDTH] = fullWidth, _cx));
  return className;
}
export function suitClass(_ref) {
  var element = _ref.element,
      modifier = _ref.modifier,
      _ref$component = _ref.component,
      component = _ref$component === void 0 ? BASE_CLASS : _ref$component;
  var className = component;
  if (element) className += "-" + element;
  if (modifier) className += "--" + modifier;
  return className;
}